Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
connections
/
vipps-psp
aid_account_settings_connections_vipps_psp_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/vipps-psp \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signup": {
    "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "payment_options": [
      {
        "currencies": [
          "NOK"
        ],
        "type": "dintero_psp.vipps"
      }
    ],
    "logo": "<string>"
  }
}
'
{
  "signups": [
    {
      "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payment_options": [
        {
          "currencies": [
            "NOK"
          ],
          "type": "dintero_psp.vipps"
        }
      ],
      "logo": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "metadata": {},
  "status": "pending",
  "events": [
    {
      "status": "pending",
      "event": "signature_required",
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "description": "Vipps awaiting signature",
      "metadata": {
        "signature_link": "https://sig.example.com/K34K244"
      }
    }
  ],
  "schema": 123,
  "configuration": {
    "payment_options": [
      {
        "currencies": [
          "NOK"
        ],
        "type": "dintero_psp.vipps"
      }
    ],
    "merchant_serial_number": "123456"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json
signup
object
required

Response

Vipps PSP Connection

signups
object[]
required

The signups received for this account.

Will be unique per case_id and store_id.

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

metadata
object

A set of key/value pairs that you can attach to a subscription object. It can be useful for storing additional information about the subscription in a structured format.

status
enum<string>

The status of the connection

Available options:
pending,
enabled,
failed,
declined
events
object[]

List of events recorded, an event is created when the connection is updated with new status

schema
number
read-only

The version of the schema used for the connection

configuration
object

Vipps PSP configuration for the merchant

Last modified on May 12, 2026